### Method

# WebKit WebsiteData get_size

since: 2.16

#### Declaration [src]

    guint64
    webkit_website_data_get_size (
      WebKitWebsiteData* website_data,
      WebKitWebsiteDataTypes types
    )

#### Description [src]

Gets the size of the data of types `types` in a `WebKitWebsiteData`.

Note that currently the data size is only known for the `WEBKIT_WEBSITE_DATA_DISK_CACHE`, `WEBKIT_WEBSITE_DATA_LOCAL_STORAGE`, `WEBKIT_WEBSITE_DATA_INDEXEDDB_DATABASES` and `WEBKIT_WEBSITE_DATA_DOM_CACHE` data types, so for all other types 0 will be returned.

Available since: 2.16

#### Parameters

`types`

  Type: `WebKitWebsiteDataTypes`

  A bitmask of `WebKitWebsiteDataTypes`.

#### Return value

Type: `guint64`

The size of `website_data` for the given `types`.